import 'package:flutter/material.dart';

import '../widgets/main_screen/statistics_card.dart';
import '../widgets/main_screen/timeline_card.dart';

class HomeScreen extends StatefulWidget {
  const HomeScreen({super.key});

  @override
  State<HomeScreen> createState() => _HomeScreenState();
}

class _HomeScreenState extends State<HomeScreen> {
  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: ListView(
        padding: const EdgeInsets.symmetric(horizontal: 4),
        physics: const BouncingScrollPhysics(),
        children: <Widget>[
          const SizedBox(height: 8),
          const StatisticsCard(),
          const SizedBox(height: 6),
          const ChartTimelineCard(),
          const SizedBox(height: 36),
        ],
      ),
    );
  }
}
